Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.deploy.api.model
Class WebLogicJ2eeApplicationObject

    java.lang.Object
      weblogic.deploy.api.model.WebLogicDeployableObject
          weblogic.deploy.api.model.WebLogicJ2eeApplicationObject

All Implemented Interfaces:
  DeployableObject, J2eeApplicationObject, weblogic.deploy.api.internal.Closable

    public class WebLogicJ2eeApplicationObject

extends WebLogicDeployableObject
implements J2eeApplicationObject

This class is the WebLogic Server implementation of `DeployableObject`.

This class encapsulates an EAR for deployment purposes. A deployment tool uses the constructor for this class to present an EAR to the deployer. Instances of this class are acquired via `WebLogicDeployableObject.createDeployableObject(java.io.File)`

Nested Class Summary

Nested classes/interfaces inherited from class weblogic.deploy.api.model.WebLogicDeployableObject
`WebLogicDeployableObject.DDRootFields`

Field Summary
`protected weblogic.j2ee.descriptor.ApplicationBean` | `app`

Fields inherited from class weblogic.deploy.api.model.WebLogicDeployableObject
`clf, contextRoot, ddRoot, deleteOnClose, haveAppRoot, libraries, plan, planBean, plandir, resourceFinder, uri`

Constructor Summary
`protected` | `WebLogicJ2eeApplicationObject(File module, File installDir, File plan, File plandir)`

Method Summary
`protected void` | `addModule(weblogic.j2ee.descriptor.ModuleBean module)`
`void` | `addXpathListener(ModuleType type, String xpath, XpathListener xpl)` Not implemented.
`void` | `close()` Closes application resources and removes temporary files.
`DDBean[]` | `getChildBean(ModuleType type, String xpath)` Returns a list of DDBeans based upon an XPath, searching all standard J2EE deployment descriptors of the specified type.
`DeployableObject` | `getDeployableObject(String uri)` Returns the module in the application with the specified uri, or null if no such module exists.
`DeployableObject[]` | `getDeployableObjects()` Returns all modules in the application, or null if there are no embedded modules.
`DeployableObject[]` | `getDeployableObjects(ModuleType type)` Returns all modules in the application based on the specified type, or null if there are no matching modules.
`DeployableObject[]` | `getDeployableObjects(String uri)`
`weblogic.descriptor.DescriptorBean` | `getDescriptorBean()` Typed descriptor bean tree for this modules standard descriptor.
`protected File` | `getModulePath(String uri)`
`String[]` | `getModuleUris()` Lists the module URI path for each embedded module.
`protected String[]` | `getModuleUris(DeployableObject[] objs)`
`String[]` | `getModuleUris(ModuleType type)` Lists the module URI path for each embedded modules of the specified ModuleType.
`String[]` | `getText(ModuleType type, String xpath)` Returns the text value from the XPath, searching only the standard J2EE deployment descriptors of the specified type.
`protected void` | `initEmbeddedModules()`
`void` | `removeXpathListener(ModuleType type, String xpath, XpathListener xpl)` Not implemented.

Methods inherited from class weblogic.deploy.api.model.WebLogicDeployableObject
`addRootBean, closeGCL, closeResourceFinder, closeVJF, createDeployableObject, createDeployableObject, createDeployableObject, createLazyDeployableObject, entries, getChildBean, getClassFromScope, getContextRoot, getDDBeanRoot, getDDBeanRoot, getDDBeanRoots, getDDStream, getEntry, getLibraries, getModuleDTDVersion, getParent, getPlan, getPlanBean, getPlandir, getResourceFinder, getStreamFromParent, getText, getType, setContextRoot, setDDBeanRoot, setLibraries, setPlan, setPlanDir, setResourceFinder, setupDDBeanRoot, setUri, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.enterprise.deploy.model.DeployableObject
`entries, getChildBean, getClassFromScope, getDDBeanRoot, getDDBeanRoot, getEntry, getModuleDTDVersion, getText, getType`

Field Detail

### app

    protected weblogic.j2ee.descriptor.ApplicationBean app

Constructor Detail

### WebLogicJ2eeApplicationObject

    protected WebLogicJ2eeApplicationObject(File module,
                                            File installDir,
                                            File plan,
                                            File plandir)
                                     throws IOException

Throws:
  `IOException`

Method Detail

### close

    public void close()

  Description copied from class: `WebLogicDeployableObject`
  Closes application resources and removes temporary files.

  Specified by:
    `close` in interface `weblogic.deploy.api.internal.Closable`
  Overrides:
    `close` in class `WebLogicDeployableObject`

### addXpathListener

    public void addXpathListener(ModuleType type,
                                 String xpath,
                                 XpathListener xpl)

  Not implemented.

  Specified by:
    `addXpathListener` in interface `J2eeApplicationObject`

### removeXpathListener

    public void removeXpathListener(ModuleType type,
                                    String xpath,
                                    XpathListener xpl)

  Not implemented.

  Specified by:
    `removeXpathListener` in interface `J2eeApplicationObject`

### getText

    public String[] getText(ModuleType type,
                            String xpath)

  Returns the text value from the XPath, searching only the standard J2EE deployment descriptors of the specified type.

  Specified by:
    `getText` in interface `J2eeApplicationObject`

### getChildBean

    public DDBean[] getChildBean(ModuleType type,
                                 String xpath)

  Returns a list of DDBeans based upon an XPath, searching all standard J2EE deployment descriptors of the specified type.

  Specified by:
    `getChildBean` in interface `J2eeApplicationObject`

### getModuleUris

    public String[] getModuleUris()

  Lists the module URI path for each embedded module. This method returns null if there are no embedded modules.

  Specified by:
    `getModuleUris` in interface `J2eeApplicationObject`

### getModuleUris

    public String[] getModuleUris(ModuleType type)

  Lists the module URI path for each embedded modules of the specified ModuleType. This method returns null if no modules of the specified type exist in the application.

  Specified by:
    `getModuleUris` in interface `J2eeApplicationObject`

### getDeployableObjects

    public DeployableObject[] getDeployableObjects()

  Returns all modules in the application, or null if there are no embedded modules. The DeployableObject representing the EAR itself does not appear in the list.

  Specified by:
    `getDeployableObjects` in interface `J2eeApplicationObject`

### getDeployableObjects

    public DeployableObject[] getDeployableObjects(ModuleType type)

  Returns all modules in the application based on the specified type, or null if there are no matching modules.

  Specified by:
    `getDeployableObjects` in interface `J2eeApplicationObject`

### getDeployableObject

    public DeployableObject getDeployableObject(String uri)

  Returns the module in the application with the specified uri, or null if no such module exists.

  Specified by:
    `getDeployableObject` in interface `J2eeApplicationObject`

### getDeployableObjects

    public DeployableObject[] getDeployableObjects(String uri)

### getDescriptorBean

    public weblogic.descriptor.DescriptorBean getDescriptorBean()

  Description copied from class: `WebLogicDeployableObject`
  Typed descriptor bean tree for this modules standard descriptor.

  Overrides:
    `getDescriptorBean` in class `WebLogicDeployableObject`

### getModuleUris

    protected String[] getModuleUris(DeployableObject[] objs)

### initEmbeddedModules

    protected void initEmbeddedModules()
                                throws InvalidModuleException,
                                       IOException,
                                       URISyntaxException

  Throws:
    `InvalidModuleException`
    `IOException`
    `URISyntaxException`

### addModule

    protected void addModule(weblogic.j2ee.descriptor.ModuleBean module)
                      throws InvalidModuleException,
                             IOException,
                             URISyntaxException

  Throws:
    `InvalidModuleException`
    `IOException`
    `URISyntaxException`

### getModulePath

    protected File getModulePath(String uri)
                          throws URISyntaxException

  Throws:
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD